/**
 * This is the Question which accepts only short answer. Short answer is one word.
 * 
 * @author Mario Kušek
 *
 */
public class ShortAnswerQuestion {
	/**
	 * Text of question.
	 */
	private String text;
	
	/**
	 * Correct answer of the question.
	 */
	private String correctAnswer;
	
	/**
	 * Constructs question with text and answer.
	 * 
	 * @param text a text of the question
	 * @param correctAnswer a correct answer to the question
	 */
	public ShortAnswerQuestion(String text, String correctAnswer) {
		this.text = text;
		this.correctAnswer = correctAnswer;
	}
	
	/**
	 * Returns text of the question.
	 * 
	 * @return text of the question
	 */
	public String getText() {
		return text;
	}
	
	/**
	 * Checks if the answer is correct.
	 * 
	 * @param answer the answer that needs to be checked
	 * @return <code>true</code> if it is correct, <code>false</code> otherwise
	 */
	public boolean isCorrectAnswer(String answer) {
		return correctAnswer.equalsIgnoreCase(answer);
	}	
}
